Bug 21851 - Improve style of sidebar forms
Summary: Improve style of sidebar forms
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Manual
Depends on:
Blocks:
 
Reported: 2018-11-16 14:25 UTC by Owen Leonard
Modified: 2021-06-14 21:34 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This patch makes minor changes to staff interface CSS to improve the style of forms in sidebars. It adjusts the style of nested field sets and gives more room to list items (and the form fields they contain).
Version(s) released in:
21.05.00


Attachments
Bug 21851: Improve style of sidebar forms (2.03 KB, patch)
2018-11-16 14:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21851: Improve style of sidebar forms (4.89 KB, patch)
2021-01-19 15:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21851: Improve style of sidebar forms (4.94 KB, patch)
2021-01-25 03:56 UTC, David Nind
Details | Diff | Splinter Review
Bug 21851: Improve style of sidebar forms (4.92 KB, patch)
2021-01-27 22:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21851: Improve style of sidebar forms (4.96 KB, patch)
2021-01-28 08:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-11-16 14:25:39 UTC
I propose some minor changes to the way forms in sidebars are styled. My patch will adjust the style of nested fieldsets and list items.
Comment 1 Owen Leonard 2018-11-16 14:31:16 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2021-01-19 15:23:44 UTC Comment hidden (obsolete)
Comment 3 David Nind 2021-01-25 03:56:33 UTC Comment hidden (obsolete)
Comment 4 David Nind 2021-01-25 03:57:08 UTC
A nice subtle improvement - looks much nicer!
Comment 5 Katrin Fischer 2021-01-27 22:30:27 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2021-01-27 22:30:48 UTC
I especially like the slight label changes on the patron search filters.
Comment 7 Jonathan Druart 2021-01-28 08:43:03 UTC
Created attachment 115924 [details] [review]
Bug 21851: Improve style of sidebar forms

This patch makes minor changes to staff client CSS in order to improve
the style of forms in sidebars. It adjusts the style of nested fieldsets
and gives more room to list items (and the form fields they contain).

To test, apply the patch and regenerate the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client)

 - View pages with forms in the left-hand sidebar, especially:
   - Circulation -> Overdues
   - Patrons -> Patrons search results
   - Acquisitions -> Invoices
   - Acquisitions -> Order search results
   - Tools -> Tags

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2021-01-28 08:43:15 UTC
Added missing signed-off-by line from QA.
Comment 9 Jonathan Druart 2021-01-28 16:34:34 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Fridolin Somers 2021-02-05 15:23:23 UTC
Enhancement not pushed to 20.11.x